Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.struts
Class StrutsCreator

    java.lang.Object
      org.directwebremoting.create.AbstractCreator
          org.directwebremoting.struts.StrutsCreator

All Implemented Interfaces:
  Creator

    public class StrutsCreator

extends AbstractCreator
implements Creator

StrutsCreator

Author:
  Ariel O. Falduto, Joe Walker [joe at getahead dot ltd dot uk]

Field Summary

Fields inherited from interface org.directwebremoting.extend.Creator
`APPLICATION, PAGE, REQUEST, SCRIPT, SESSION`

Constructor Summary
`StrutsCreator()`

Method Summary
`java.lang.Object` | `getInstance()` Accessor for the/an instance of this Creator.
`java.lang.Class` | `getType()` Accessor for the `java.lang.Class` that this Creator allows access to.
`void` | `setFormBean(java.lang.String formBean)` Struts formBean to be retrived

Methods inherited from class org.directwebremoting.create.AbstractCreator
`getJavascript, getScope, isCacheable, setCacheable, setJavascript, setProperties, setScope, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.Creator
`getJavascript, getScope, isCacheable, setProperties`

Constructor Detail

### StrutsCreator

    public StrutsCreator()

Method Detail

### setFormBean

    public void setFormBean(java.lang.String formBean)

  Struts formBean to be retrived

  Parameters:
    `formBean` - Struts bean form related.

### getType

    public java.lang.Class getType()

  Description copied from interface: `Creator`
  Accessor for the `java.lang.Class` that this Creator allows access to.

  Specified by:
    `getType` in interface `Creator`
  Returns:
    The type of this allowed class

### getInstance

    public java.lang.Object getInstance()
                                 throws java.lang.InstantiationException

  Description copied from interface: `Creator`
  Accessor for the/an instance of this Creator.

  Specified by:
    `getInstance` in interface `Creator`
  Returns:
    the instance to use
  Throws:
    `java.lang.InstantiationException` - If for some reason the object can not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD